Subject: Bug (ID XO2CG): Printing to "Attached-to-ANSI" (fwd)

From: GH Chinoy <[email-masked]>
Date: Sun, 30 Oct 1994 11:29:24 -0600 (CST)

Pine users,	
	Another one of my users is having problems printing.  Any ideas?
  ___	 __________________________________________________________
 /\__\          G. Hussain Chinoy
 \/__/          Head Consultant, Arts & Sciences NeXT Lab
NEXTSTEP        Washington University in St. Louis
                [email-masked]

---------- Forwarded message ----------
Date: Tue, 25 Oct 1994 18:41:11 -0500 (CDT)
From: Randall R. Scott <[email-masked]>
To: Pine Developers <[email-masked]>
Subject: Bug (ID XO2CG): Printing to "Attached-to-ANSI"

Good folks,

I am still having the same problem that I reported a few days ago -- 
namely, my printing of PINE 3.91 postings "hangs" after about a page and 
one-half.  I have checked the "character-start-stop" (the exact 
configuration command-title escapes me just now), and have tried the 
Control-Q switch upon "hanging," but nothing works.  I had none of this 
trouble with 3.89.  My printer has 1.5 MBs of memory, so that is not the 
problem.  When the print-out "hangs," I can "force" more data into the 
printer by pressing the space-bar, but, after another page or so, this 
procedure also becomes useless, with the printer's "print" light flashing 
as though more data is being fed into the printer, but with no further 
printing being done.  I finally have to escape from the printing 
process.  

After the first page and one-half, when the "hanging" begins, the 
remainder that I am able to "force" (about another page) has an uppercase 
"K" preceding every line, and in addition each line is somewhat garbled.

Any suggestions would be most welcome.

Many thanks,

Randy

****************************************************************************
Randall R. Scott                 Voice: 314/727-9605(H); 314/867-8993(O/Fax)
Research Associate in Buddhist Studies              CompuServe: <72704,1441> 
Washington University in St. Louis      Internet: <[email-masked]>
****************************************************************************
========== struct pine * ==========
ui:	login = rrscott, full = Randall R. Scott
	home = /ArtSci/ReligStud/rrscott
home_dir=	/ArtSci/ReligStud/rrscott
hostname=	mango
localdom=	mango
userdom=	artsci.wustl.edu
maildom=	artsci.wustl.edu
cur_cntxt=	mail/[]
cur_fldr=	INBOX
actual mbox=	inbox
msgmap: tot=0, cur=0, del=0, hid=0, exld=0, slct=0, sort=Arrival
inbox is mail_stream
term type=vt100, ttyname=/dev/ttyp2, size=24x80, speed=normal
======= Current_val options set =======
        personal-name : Randall R. Scott
              user-id : rrscott
          user-domain : artsci.wustl.edu
          nntp-server : eclnews.wustl.edu
           inbox-path : inbox
   folder-collections : mail/[]
     news-collections : usenetNews *{eclnews.wustl.edu/nntp}[]
          default-fcc : sent-mail
     postponed-folder : postponed-msgs
       mail-directory : mail
  read-message-folder : read-messages
       signature-file : .signature
         address-book : .addressbook
         feature-list : enable-jump-shortcut
                      : save-will-advance
                      : preserve-start-stop-characters
  saved-msg-name-rule : default-folder
        fcc-name-rule : default-fcc
             sort-key : arrival
   addrbook-sort-rule : fullname-with-lists-last
 use-only-domain-name : no
              printer : attached-to-ansi
     standard-printer : lpr
 last-time-prune-ques : 94.10
    last-version-used : 3.91
        bugs-fullname : Pine Developers
         bugs-address : [email-masked]
       elm-style-save : no
      header-in-reply : no
        feature-level : sapling
      old-style-reply : no
       save-by-sender : no
======= Command_line_val options set =======
======= User_val options set (/ArtSci/ReligStud/rrscott/.pinerc) =======
   folder-collections : mail/[]
         feature-list : enable-jump-shortcut
                      : save-will-advance
                      : preserve-start-stop-characters
              printer : attached-to-ansi
 last-time-prune-ques : 94.10
    last-version-used : 3.91
======= Global_val options set (/usr/local/lib/pine.conf) =======
          user-domain : artsci.wustl.edu
          nntp-server : eclnews.wustl.edu
           inbox-path : inbox
     news-collections : usenetNews *{eclnews.wustl.edu/nntp}[]
          default-fcc : sent-mail
     postponed-folder : postponed-msgs
       mail-directory : mail
  read-message-folder : read-messages
       signature-file : .signature
         address-book : .addressbook
  saved-msg-name-rule : default-folder
        fcc-name-rule : default-fcc
             sort-key : arrival
   addrbook-sort-rule : fullname-with-lists-last
 use-only-domain-name : no
              printer : attached-to-ansi
     standard-printer : lpr
        bugs-fullname : Pine Developers
         bugs-address : [email-masked]
       elm-style-save : no
      header-in-reply : no
        feature-level : sapling
      old-style-reply : no
       save-by-sender : no
======= Fixed_val options set (NO pine.conf.fixed) =======
========== Feature settings ==========
  no-assume-slow-link
  no-auto-move-read-msgs
  no-auto-open-next-unread
  no-compose-rejects-unqualified-addrs
  no-compose-sets-newsgroup-without-confirm
  no-delete-skips-deleted
  no-disable-config-cmd
  no-disable-keyboard-lock-cmd
  no-disable-password-cmd
  no-disable-update-cmd
  no-enable-aggregate-command-set
  no-enable-alternate-editor-cmd
  no-enable-alternate-editor-implicitly
  no-enable-bounce-cmd
  no-enable-flag-cmd
  no-enable-full-header-cmd
  no-enable-incoming-folders
     enable-jump-shortcut
  no-enable-mail-check-cue
  no-enable-suspend
  no-enable-tab-completion
  no-enable-unix-pipe-cmd
  no-expanded-view-of-addressbooks
  no-expanded-view-of-folders
  no-expunge-without-confirm
  no-include-attachments-in-reply
  no-include-header-in-reply
  no-include-text-in-reply
  no-news-approximates-new-status
  no-news-post-without-validation
  no-news-read-in-newsrc-order
     preserve-start-stop-characters
  no-quell-user-lookup-in-passwd-file
  no-quit-without-confirm
  no-save-will-quote-leading-froms
  no-save-will-not-delete
     save-will-advance
  no-select-without-confirm
  no-show-selected-in-boldface
  no-signature-at-bottom
  no-use-current-dir
  no-use-function-keys